﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Json;
using System.IO;
using System.Net;


namespace pmOne.PowerBI.PowerBIObjects
{
    [DataContract]
    public class PBIReport : PBIObject
    {
        #region Constructors
        #endregion
        #region Private Properties for Serialization
        [DataMember(Name = "@odata.context", IsRequired = false, EmitDefaultValue = false)]
        private string ODataContext;

        [DataMember(Name = "id", IsRequired = true)]
        private Guid _id;

        [DataMember(Name = "name", IsRequired = true)]
        private string _name;

        [DataMember(Name = "webUrl", IsRequired = false)]
        private string _webUrl;

        [DataMember(Name = "embedUrl", IsRequired = true)]
        private string _embedUrl;
        #endregion

        #region Public Properties
        public Guid ID
        {
            get { return _id; }
            set { _id = value; }
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public string WebURL
        {
            get { return _webUrl; }
            set { _webUrl = value; }
        }

        public string EmbedURL
        {
            get { return _embedUrl; }
            set { _embedUrl = value; }
        }

        public PowerBIClient ParentPowerBIAPI { get; set; }

        #endregion

       
    }
}
