﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace pmOne.PowerBI.PowerBIObjects
{
    [DataContract]
    public class PBIRows : PBIObject
    {
        #region Private Properties for Serialization
        [DataMember(Name = "rows", IsRequired = true)]
        private List<PBIRow> _rows;
        #endregion

        #region Public Properties
        public List<PBIRow> Rows
        {
            get { return _rows; }
            set { _rows = value; }
        }

        public PBITable ParentTable { get; set; }
        #endregion
    }
}
